Create Prompt
Reference for the POST /console/v1/prompts endpoint of the Statsig API.
https://statsigapi.net/console/v1/promptsAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Body
application/jsonnamestringrequiredName for the AI Config.
my_promptmin length: 3max length: 100pattern: ^[a-zA-Z0-9_\-. ]*$displayNamestringOptional display name for the AI Config.
min length: 3max length: 100pattern: ^[a-zA-Z0-9_\-. ]*$descriptionstringDescription for the AI Config.
max length: 1000targetAppsoneOfList of target app names.
stringstring[]teamstringTeam name.
teamIDstringTeam ID.
tagsstring[]Optional tags to associate with the AI Config.
creatorIDstringnullableownerobjectSchema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.
{"ownerID":"user123","ownerType":"USER","ownerName":"John Doe","ownerEmail":"owner123@test.com"}nullableShow child attributes
ownerIDstringID of the owner
abc123ownerTypestringType of the owner (e.g., SDK_KEY or USER)
USERownerNamestringThe name of the owner. This field is optional.
John DoeownerEmailstringThe email of the owner. This field is optional.
creatorEmailstringnullableResponse
application/jsonmessagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredShow child attributes
idstringrequiredID
namestringThe gate display name
min length: 3max length: 100pattern: ^[a-zA-Z0-9_\-. ]*$idTypestringdescriptionstringrequiredmax length: 1000lastModifierIDstringrequiredID of the last modifier.
nullablelastModifiedTimenumberrequiredTime of the last modification.
format: doublenullablelastModifierEmailstringrequiredEmail of the last modifier.
nullablelastModifierNamestringrequiredName of the last modifier.
nullablecreatorIDstringnullablecreatedTimenumberrequiredTimestamp when the entity was created.
format: doublecreatorNamestringrequiredName of the creator.
nullablecreatorEmailstringnullabletagsstring[]targetAppsstring[]List of target applications associated with this configuration.
holdoutIDsstring[]Holdouts applied to this configuration.
teamstringnullableteamIDstringnullableversionnumberVersion number
format: doublestatusintegerrequired400messagestringrequiredstatusintegerrequired401messagestringrequiredstatusintegerrequired403messagestringrequiredWas this helpful?